PDA

View Full Version : Minimized / Minimum JavaScript libraries (ext-all.js) for EXT JS charts



reis3k
12 Sep 2012, 12:25 AM
Hi,
I'm using only Ext JS charts (column, bar, pie), and don't wanna add ext-all.js (1.2mb) and ext-all.css (212kb, using for base theme) while I don't use many other libraries provided in them. Is there a way to customize the those js and css files according to my needs, or is there a strip-down version of those libs running charts properly (ext.js didn't work). Thanks!
Baris

scottmartin
13 Sep 2012, 11:11 AM
You can build your own as needed from /src directory. If you use the SDK, it will create jsb3 that displays what is required. You can also check the console if missing items if you use requires:[]

Scott.

reis3k
13 Sep 2012, 11:38 AM
Thanks, I tried the SDK tool with following command:


sencha create jsb -a ~/path/to/your/app.html -p ~/myapp.jsb3


I don't have html file since I've been working on JSPs, and JSPs only imports the JS files, so all the jobs is done in JS. My JS extension is js, not jsb3 as well. I tried different combination with the above command but I got error saying "Error: Failed parsing JSB file: ./charts.js. Please make sure its content is of valid JSON format"

I used this command:


sencha create jsb -a ./ -p ./charts.js

and, in my JS file there are 3 functions for 3 different chart types which is called from another JS file after data for them is generated.

scottmartin
19 Sep 2012, 3:04 PM
Please try the updated release:
http://www.sencha.com/blog/all-new-sencha-cmd/

See if you have better luck and report back.

Scott.

reis3k
19 Sep 2012, 3:36 PM
I've looked 20 min, and couldn't find a proper command to do what I want. I have a simple .js file and Ext JS code in it. This new updated version even don't have previous "create" command. I guess I'll give up to use those tools which unnecessarily complicated to do simple jobs. If I find time, I will add all the source code one by one by looking the error output on the firebug console.